org.apache.ignite.internal.transactions

## Class IgniteTxRollbackCheckedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.transactions.IgniteTxRollbackCheckedException

All Implemented Interfaces:
  Serializable

    public class IgniteTxRollbackCheckedException
    extends IgniteCheckedException

Exception thrown whenever grid transactions has been automatically rolled back.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteTxRollbackCheckedException(String msg)` Creates new rollback exception with given error message.
`IgniteTxRollbackCheckedException(String msg, Throwable cause)` Creates new rollback exception with given error message and optional nested exception.
`IgniteTxRollbackCheckedException(Throwable cause)` Creates new exception with given nested exception.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteTxRollbackCheckedException

    public IgniteTxRollbackCheckedException(String msg)

Creates new rollback exception with given error message.

Parameters:
  `msg` - Error message.

#### IgniteTxRollbackCheckedException

    public IgniteTxRollbackCheckedException(Throwable cause)

Creates new exception with given nested exception.

Parameters:
  `cause` - Nested exception.

#### IgniteTxRollbackCheckedException

    public IgniteTxRollbackCheckedException(String msg,
                                    Throwable cause)

Creates new rollback exception with given error message and optional nested exception.

Parameters:
  `msg` - Error message.
  `cause` - Optional nested exception (can be `null`).

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015